Package com.xebialabs.xlrelease.domain.events

## Class GlobalRolesOrPermissionsUpdatedEvent$

- java.lang.Object
- - scala.runtime.AbstractFunction0<GlobalRolesOrPermissionsUpdatedEvent>
  - - com.xebialabs.xlrelease.domain.events.GlobalRolesOrPermissionsUpdatedEvent$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function0<GlobalRolesOrPermissionsUpdatedEvent>`

      public class GlobalRolesOrPermissionsUpdatedEvent$
      extends scala.runtime.AbstractFunction0<GlobalRolesOrPermissionsUpdatedEvent>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static GlobalRolesOrPermissionsUpdatedEvent$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GlobalRolesOrPermissionsUpdatedEvent$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GlobalRolesOrPermissionsUpdatedEvent` | `apply()` |
    `java.lang.String` | `toString()` |
    `boolean` | `unapply​(GlobalRolesOrPermissionsUpdatedEvent x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction0

      `apply$mcB$sp, apply$mcC$sp, apply$mcD$sp, apply$mcF$sp, apply$mcI$sp, apply$mcJ$sp, apply$mcS$sp, apply$mcV$sp, apply$mcZ$sp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final GlobalRolesOrPermissionsUpdatedEvent$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### GlobalRolesOrPermissionsUpdatedEvent$

          public GlobalRolesOrPermissionsUpdatedEvent$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function0<GlobalRolesOrPermissionsUpdatedEvent>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction0<GlobalRolesOrPermissionsUpdatedEvent>`

    - #### apply

          public GlobalRolesOrPermissionsUpdatedEvent apply()

      Specified by:
        `apply` in interface `scala.Function0<GlobalRolesOrPermissionsUpdatedEvent>`

    - #### unapply

          public boolean unapply​(GlobalRolesOrPermissionsUpdatedEvent x$0)